
Member Nodes - Task #6985

MNDeployment # 3228 (Operational): NCEI - National Centers for Environmental Information

Story # 6809 (Closed): NODC: Design, code and component test a new MN implementation

Create resource map documents for each package

2015-04-01 21:04 - Dave Vieglais

Status: Closed Start date: 2015-04-01

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Story Points:    

Description

Packages are described by the manifest file from FTP and the metadata ("Document") link in the CSW getRecords response

Subtasks:

Task # 6990: rerun nodc_listObjects tomorrow to see if any ID values have changed Closed

Related issues:

Related to Python GMN - Task #4108: ResourceMapGenerator generates invalid re... Closed 2013-10-20

History

#1 - 2015-04-01 21:34 - Dave Vieglais

- Assignee set to Rob Nahf

#2 - 2015-04-01 23:04 - Rob Nahf

a sample SummaryRecord returned from GetRecords

<?xml version="1.0" encoding="UTF-8" standalone="no"?>

csw:SummaryRecord

gov.noaa.nodc:9800108/dc:identifier

{59E374BA-9988-41BF-A43A-0F0AED420E66}/dc:identifier

dc:titleNODC Standard Product: World Ocean Circulation Program (WOCE) Global Data, Version 1: Satellite sea surface height and temperature data

on CD-ROM (NODC Accession 9800108)/dc:title

application/dc:type

application/dc:type

downloadableData/dc:type

downloadableData/dc:type

...

dct:modified2015-03-29T19:21:08+00:00/dct:modified

http://accession.nodc.noaa.gov/oas/9800108/dct:references

https://data.nodc.noaa.gov/geoportal/csw?getxml=%7B59E374BA-9988-41BF-A43A-0F0AED420E66%7D/dct:references

ftp://ftp.nodc.noaa.gov/nodc/archive/arc0001/9800108//dct:references

http://accession.nodc.noaa.gov/download/9800108/dct:references

1990-01-01Z/dct:date

1998-05-15Z/dct:date

/csw:SummaryRecord

/csw:SearchResults

/csw:GetRecordsResponse
redmine.dataone.org/dc:identifier
redmine.dataone.org/dc:identifier
redmine.dataone.org/dc:title
redmine.dataone.org/dc:type
redmine.dataone.org/dc:type
redmine.dataone.org/dc:type
redmine.dataone.org/dc:type
redmine.dataone.org/dct:modified
http://accession.nodc.noaa.gov/oas/9800108
redmine.dataone.org/dct:references
https://data.nodc.noaa.gov/geoportal/csw?getxml=%7B59E374BA-9988-41BF-A43A-0F0AED420E66%7D
redmine.dataone.org/dct:references
ftp://ftp.nodc.noaa.gov/nodc/archive/arc0001/9800108/
redmine.dataone.org/dct:references
http://accession.nodc.noaa.gov/download/9800108
redmine.dataone.org/dct:references
redmine.dataone.org/dct:date
redmine.dataone.org/dct:date
redmine.dataone.org/csw:SummaryRecord
redmine.dataone.org/csw:SearchResults
redmine.dataone.org/csw:GetRecordsResponse


#3 - 2015-04-02 00:24 - Rob Nahf

- Estimated time set to 0.00

Roger wrote a utility in GMN to create a ResourceMap, so the task for the slender node is to

provide the correct identifiers from the process that synchronizes GMN with NODC. 

Points:

* There should be 1 ResourceMap for every version found on the ftp archive.

* d1_libclient_py data_package.py should be used to generate the resource map(s) themselves and their associated systemMetadata

* A versionless SID should be assigned to the systemMetadata for each generated resourceMap,

* the package should contain all files found in the archive, and all as formatType DATA

* files in the /about directory should be part of the aggregation, but probably not included in the METADATA documents DATA triples.

* sometimes the /about directory will contain an incidental FGDC document, but they are not systematically identified as FGDC, so should only be

seen as incidental files (formatID text/xml?)

#4 - 2015-04-02 00:24 - Rob Nahf

- Related to Task #4108: ResourceMapGenerator generates invalid resource maps (?) added

#5 - 2016-03-26 03:48 - Dave Vieglais

- Status changed from New to In Progress

- Assignee changed from Rob Nahf to Dave Vieglais

- % Done changed from 0 to 30

Implementation complete, depends on V2 capabilities in GMN.

#6 - 2018-04-05 16:50 - Amy Forrester

- Status changed from In Progress to Closed

- % Done changed from 30 to 100
